package content_reward

import (
	"applet/app/db"
	"applet/app/e"
	"applet/app/md"
	"applet/app/svc"
	"applet/app/utils"
	"applet/app/utils/cache"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/implement"
	"github.com/gin-gonic/gin"
	"github.com/tidwall/gjson"
)

func VideoBase(c *gin.Context) {
	videoBase := svc.GetSysCfgStr("video_base")
	var res = md.VideoBaseData{
		Reward:   gjson.Get(videoBase, "reward").String(),
		Total:    gjson.Get(videoBase, "total").String(),
		Timer:    gjson.Get(videoBase, "timer").String(),
		Interval: gjson.Get(videoBase, "interval").String(),
	}
	e.OutSuc(c, res, nil)
	return
}

func VideoBaseSave(c *gin.Context) {
	var req md.VideoBaseData
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = svc.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	redisConn := cache.GetPool().Get()
	sysCfgDb := implement.NewSysCfgDb(db.Db, redisConn)
	sysCfgDb.SysCfgUpdate("video_base", utils.SerializeStr(req))
	e.OutSuc(c, "success", nil)
	return
}
